package com.ssj.bean.weixin.zyb.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.*;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


/** 
 * @author  ZhangCaibao 
 * @version 2017年9月26日 下午1:46:33 
 * 类说明  年级课程知识点
 */
@Entity
@Table(name = "zyb_know_how")
public class ZuoybKnowHow  extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 5700877615922439747L;
	
	/**
     * 课程名称
     */
	private String courseName;
	
	/**
	 * 创建时间
	 */
	
	private Date  createTime;
	
	
	/**
	 * 图书馆ID
	 */
	private String libId;
	/**
	 * 大纲内容
	 */
	private String name;
	/**
	 * 模块（新）
	 */
	private String module;
	/**
	 * 单元序号排序 （第一位代表1上学期，第二位2代表下学期，后面就是章节，，）
	 */
	private Integer num;
	/**
	 * 展示，或选中的样式
	 */
	private String howActive;
	/**
	 * 1专题，0普通(默认0)
	 */
	private Integer isZt;
	/**
	 * 版本选择
	 */
	private String[] version;
	
	/**
	 * 1上学期，2下学期
	 */
	private Integer semester;
	
	/**
	 * 数字年级
	 */
	private Integer gradeNum;
	
	private List<ZuoybKnowHowDetails>  howDetailsList = new ArrayList<ZuoybKnowHowDetails>();
	
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Integer getNum() {
		return num;
	}
	public void setNum(Integer num) {
		this.num = num;
	}
	@Transient
	public List<ZuoybKnowHowDetails> getHowDetailsList() {
		return howDetailsList;
	}
	public void setHowDetailsList(List<ZuoybKnowHowDetails> howDetailsList) {
		this.howDetailsList = howDetailsList;
	}
	@Transient
	public String getHowActive() {
		return howActive;
	}
	public void setHowActive(String howActive) {
		this.howActive = howActive;
	}
	public String getModule() {
		return module;
	}
	public void setModule(String module) {
		this.module = module;
	}
	
	@Transient
	 public String[] getVersion() {
		return version;
	}
	public void setVersion(String[] version) {
		this.version = version;
	}
	
	@Transient
	public Integer getSemester() {
		return semester;
	}
	public void setSemester(Integer semester) {
		this.semester = semester;
	}
	@Transient
	public Integer getGradeNum() {
		return gradeNum;
	}
	public void setGradeNum(Integer gradeNum) {
		this.gradeNum = gradeNum;
	}
	@Override
	 public boolean equals(Object obj) {
	        if(obj==null){
	            return false;
	        }
	        if(this==obj){
	            return true;
	        }
	        if(obj instanceof ZuoybKnowHow){
	        	ZuoybKnowHow how=(ZuoybKnowHow)obj;
	            if(how.num.equals(this.num)&&how.name.equals(this.name)){
	                return true;
	            }else{
	                return false;
	            }
	        }
	        return false;
	  }
	public Integer getIsZt() {
		return isZt;
	}
	public void setIsZt(Integer isZt) {
		this.isZt = isZt;
	}
	

}
